Capítol 5. Problemes a tenir en compte a lenny

Sumari

5.1. Possibles problemes
5.1.1. Problemes amb dispositius relacionats amb udev
5.1.2. Algunes aplicacions podrien no funcionar amb nuclis 2.4
5.1.3. No es podrà arribar a alguns llocs de xarxa amb TCP
5.1.4. L'apagat automàtic deixa de funcionar
5.1.5. La inicialització asíncrona de la xarxa pot causar comportaments imprevisibles
5.1.6. Problemes a l'utilitzar xarxes sense fils amb WPA
5.1.7. Problemes amb els noms de fitxers amb caràcters no ASCII
5.1.8. El so deixa de funcionar
5.2. Els muntatges de l'NFS estan fets pel nfs-common
5.3. Canvi a la disposició de teclat del Romanés (ro)
5.4. Actualització d'apache2
5.5. NIS i el Network Manager
5.6. Estat de la seguretat dels productes de Mozilla
5.7. L'escriptori KDE
5.8. Suport i canvis a l'escriptori GNOME
5.9. No hi ha suport per defecte d'Unicode a emacs21*
5.10. slurpd/replica deixarà de funcionar
5.11. L'escriptori no utilitza la pantalla completa
5.12. Problemes amb DHCP redundants

5.1. Possibles problemes

De vegades, els canvis poden tenir efectes col·laterals que no podem evitar de forma raonada, o bé ens exposem a errors en altres llocs. Ací documentem els problemes dels quals som conscients. Llegiu també la errata, la documentació dels paquets, els informes d'error i altra informació que s'esmenta a Secció 6.1, “Llegir més”.

5.1.1. Problemes amb dispositius relacionats amb udev

Malgrat que l'udev s'ha provat àmpliament, podríeu experimentar alguns problemes menors amb alguns dispositius que s'han de corregir. Els problemes més comuns són tenir canviats els permisos i/o el propietari d'un dispositiu. En alguns casos, un dispositiu podria no crear-se per defecte (per exemple /dev/video i /dev/radio).

L'udev ens proporciona mecanismes de configuració per tractar estos problemes. Vegeu udev(8) i /etc/udev per obtenir més informació.

5.1.2. Algunes aplicacions podrien no funcionar amb nuclis 2.4

Algunes aplicacions de lenny podrien deixar de funcionar amb nuclis 2.4, per exemple perquè necessiten suport epoll() , que no hi ha als nuclis 2.4. Eixes aplicacions podrien deixar de funcionar o no funcionar correctament fins que el sistema es torne a iniciar amb un nucli 2.6.

Un exemple és el servidor intermediari d'HTTP squid.

5.1.3. No es podrà arribar a alguns llocs de xarxa amb TCP

Des de la versió 2.6.17, Linux utilitza un escalat de finestra TCP de forma agressiva tal i com s'especifica al RFC 1323. Alguns servidors tenen un comportament erroni, i anuncien una mida de la finestra errònia. Per més detalls, vegeu els informes d'error #381262, #395066, #401435.

Hi ha dos solucions a estos problemes: o bé tornar a canviar la mida màxima permesa per la finestra TCP a un valor més menut (preferible) o bé desconnectar el escalat de finestra TCP (obsolet). Vegeu les ordres d'exemple a la pàgina d'errates del debian-installer.

5.1.4. L'apagat automàtic deixa de funcionar

En alguns sistemes vells, shutdown -h podria deixar d'apagar el sistema (tan sols el detindrà). Açò es deu a que s'ha d'utilitzar APM. Si afegiu acpi=off apm=power_off a la línia d'ordres del nucli, per exemple als fitxers de configuració de grub o lilo resoldrà el problema. Vegeu el bug #390547 per obtenir més informació.

5.1.5. La inicialització asíncrona de la xarxa pot causar comportaments imprevisibles

En els sistemes que utilitzen l'udev per carregar els controladors de les interfícies de xarxa, és possible que degut a la naturalesa asíncrona de l'udev, el controlador no es carregue abans d'executar-se l'/etc/init.d/networking en l'arrancada del sistema. Afegir allow-hotplug al /etc/network/interfaces (addicionalment a auto) assegurarà que la interfície de xarxa estiga activada una vegada que estiga disponible, però no hi ha garantia que haja acabat abans de que la seqüència d'arrancada comence a engegar els serveis de xarxa, alguns dels quals podrien no tindre un comportament correcte en absència de la interfície de xarxa.

5.1.6. Problemes a l'utilitzar xarxes sense fils amb WPA

A etch, el paquet wpasupplicant es configurava com un servei del sistema, configurat amb l'/etc/default/wpasupplicant i el fitxer proporcionat per l'usuari /etc/wpasupplicant.conf.

A lenny, s'ha abandonat l'/etc/init.d/wpasupplicant i el paquet Debian ara s'integra amb l'/etc/network/interfaces, semblant a altres paquets, tals com les wireless-tools. Açò vol dir que el wpasupplicant ja no dona el servei del sistema directament.

Per obtenir informació de com configurar el wpasupplicant, dirigiu-se a /usr/share/doc/wpasupplicant/README.modes.gz, que proporciona exemples de fitxers /etc/network/interfaces. Podeu trobar informació actualitzada del paquet wpasupplicant al Viki de Debian.

5.1.7. Problemes amb els noms de fitxers amb caràcters no ASCII

El muntatge de vfat, ntfs o els sistemes de fitxers iso9660 que inclouen caràcters no ASCII en els seus noms de fitxers, donarà problemes quan s'intente utilitzar-los si no s'ha utilitzat l'opció de muntatge utf8. Un símptoma podria ser l'error següent: “Invalid or incomplete multibyte or wide character”. Una possible solució és utilitzar les opcions de muntatge defaults,utf8 pels sistemes de fitxers vfat, ntfs i iso9660 si contenen noms de fitxers amb caràcters no ASCII.

Adoneu-vos que el nucli de Linux no suporta noms de fitxers independent de majúscules/minúscules per vfat quan s'utilitza l'opció utf8.

5.1.8. El so deixa de funcionar

En alguns casos estranys, el so pot deixar de funcionar després d'una actualització. Si açò passa, seguiu la llista de comprovacions d'alsa:

  • executeu alsaconf com a root,

  • afegiu el vostre usuari al grup audio,

  • assegureu-vos que els nivells dels canals de só estan alçats i no silenciats (utilitzant l'alsamixer),

  • assegureu-vos que l'arts o l'esound no s'estiguen executant,

  • assegureu-vos que no estiguen carregats els mòduls d'OSS, i

  • assegureu-vos que teniu els altaveus engegats, i

  • comproveu si l'ordre

    cat /dev/urandom > /dev/dsp

    funciona amb l'usuari root.

5.2. Els muntatges de l'NFS estan fets pel nfs-common

Des de la versió 2.13 de l'util-linux el muntatge de l'NFS no el gestiona l'util-linux, ho fa l'nfs-common. Com que no tots els sistemes comparteixen muntatges NFS i per evitar la instal·lació per defecte del portmapper l'util-linux tan sols suggereix nfs-common. Si necessiteu compartir el muntatge d'un NFS, assegureu-vos que l'nfs-common està instal·lat al vostre sistema. L'script de preinstal·lació del paquet mount comprova si hi ha muntatge d'NFS i si el /usr/sbin/mount.nfs de l'nfs-common no hi és si el nfs-common no està actualitzat. O bé actualitzeu nfs-common, o desmunteu NFS abans d'actualitzar mount.

5.3. Canvi a la disposició de teclat del Romanés (ro)

Degut a l'actualització a la versió 1.3 de l'xkb-data de lenny la variant per defecte pel romanès (ro) mostra ara correctament els caràcters șț (amb una coma a sota) en comptes de f şţ (amb ce trencada a sota). També s'han reanomenat algunes de les variants. Els noms antics de les variants encara funcionaran, però s'anima els usuaris a actualitzar el seu /etc/X11/xorg.conf. Podeu trobar més informació dels possibles efectes col·laterals provocats per este canvi al wiki (tan sols en romanès).

5.4. Actualització d'apache2

La configuració per defecte de l'apache2 ha canviat de maneres que es poden necessitar canvis manuals a la vostra configuració. Els canvis més importants són:

NameVirtualHost * ha canviat a NameVirtualHost *:80. Si heu afegit més hosts virtuals, haureu de canviar cadascun d'ells de <VirtualHost *> a <VirtualHost *:80>.

L'usuari, grup i la ruta del PidFile ara estan configurats en el fitxer /etc/apache2/envvars. Si canvieu estos paràmetres des dels seus valors per defecte, necessitareu canviar eixe fitxer. Açò vol dir que iniciar l'apache2 amb apache2 -k start ja no és possible, i haureu d'utilitzar /etc/init.d/apache2 o bé apache2ctl.

El programa d'ajuda suexec del mod_suexec es distribueix ara en un paquet separat, apache2-suexec, que no s'instal·la per defecte.

Alguna configuració específica de mòduls s'ha canviat des de /etc/apache2/apache2.conf a /etc/apache2/mods-available/*.conf.

Per obtenir més informació detallada, vegeu /usr/share/doc/apache2.2-common/NEWS.Debian.gz i /usr/share/doc/apache2.2-common/README.Debian.gz.

5.5. NIS i el Network Manager

La versió inclosa de l'ypbind al paquetnis a lenny conté el suport pel Network Manager. Este suport implica que l'ypbind desactive la funcionalitat NIS de client quan el Network Manager informe que l'ordinador no està connectat a la xarxa. Com que el Network Manager informa que l'ordinador està desconnectat quan no està en ús, els usuaris NIS amb clients NIS s'haurien d'assegurar que el suport pel Network Manager està inhabilitat en estos clients.

Açò es pot fer o bé desinstal·lant el paquet network-manager, o editant el fitxer /etc/default/nis i afegint -no-dbus al YPBINDARGS.

L'ús de -no-dbus és el valor per defecte en les noves instal·lacions de Debian, però no ho era en els llançaments anteriors.

5.6. Estat de la seguretat dels productes de Mozilla

Els programes de Mozilla firefox thunderbird, i sunbird (reanomenats a Debian com iceweasel, icedove, i iceowl respectivament), són eines importants per molts usuaris. Malauradament la política de seguretat dels seus desenvolupadors entra en conflicte amb la de Debian de no donar grans canvis en la funcionalitat en les actualitzacions de seguretat. No podem assegurar-ho avui, però al llarg del tems de vida de lenny, podria vores en un punt en que no fora possible suportar els productes de Mozilla i que anuncie el fi del suport de seguretat pels productes de Mozilla. Hauríeu de tenir açò en compte quan desplegueu els productes de Mozilla i considerar les alternatives que es tenen a Debian quan l'absència de suport de seguretat us supose un problema.

iceape, la versió sense marca de la suit d'Internet seamonkey s'ha esborrat a lenny (amb l'excepció d'uns pocs paquets de biblioteques iunternes).

5.7. L'escriptori KDE

No hi ha grans canvis a l'entorn d'escriptori KDE des de la versió que portava etch. Lenny porta les traduccions actualitzades i el llançament de servei de KDE 3.5, que és una mescla de les versions 3.5.9 i 3.5.10. Alguns mòduls porten la versió 3.5.9, però s'han actualitzat i inclouen la major part dels canvis que es troben a la 3.5.10. De forma global, lenny porta 3.5.10 amb millores al kicker que porta el kdebase i algunes correccions d'errors al kdepim.

Lenny serà l'últim llançament estable que inclourà la sèrie 3 de l'entorn KDE.

5.8. Suport i canvis a l'escriptori GNOME

S'han produït prou canvis en l'escriptori GNOME des de la versió que es distribuia a etch a la que vé en lenny, en podeu trobar més informació a les Notes de llançament de GNOME 2.22.

5.9. No hi ha suport per defecte d'Unicode a emacs21*

Emacs21 i emacs21-nox no estan configurats per defecte per utilitzar Unicode. Per obtenir més informació i una solució temporal, vegeu el Bug #419490. Hauríeu de prendre en consideració migrar a l'emacs22, emacs22-gtk, o emacs22-nox.

5.10. slurpd/replica deixarà de funcionar

OpenLDAP ha abandonat el suport de rèpliques d'LDAP via el servei slurpd al seu llançament 2.4.7. Les configuracions existents s'han de tornar a configurar pel motor de replicació Sync d'LDAP . Es pot trobar una documentació més extensa a http://www.openldap.org/doc/admin24/replication.html.

5.11. L'escriptori no utilitza la pantalla completa

El controlador de la Intel Mobile GM965 pot detectar incorrectament la eixida VGA i ajustar la mida de la pantalla a un valor menor per ajustar-la. El símptoma d'este error és que el gestor d'escriptori tan sols utilitzarà una part de la pantalla. El comportament correcte pot forçar-se afegint les línies següents al fitxer de configuració /etc/X11/xorg.conf.

Section "Monitor"
  Identifier "VGA"
  Option "Ignore" "true"
EndSection

Per obtenir més informació dirigiu-se a l'informe d'error #496169.

5.12. Problemes amb DHCP redundants

Quan s'utilitza un parell de servidors redundants d'DHCP, els parells de noms han de ser consistents, en altre cas, el DHCP s'estavellarà.

Vegeu http://bugs.debian.org/513506 i https://lists.isc.org/pipermail/dhcp-users/2007-September/004538.html per obtenir més informació.